Subject: Re: [ietf-dkim] I-D ACTION:draft-ietf-dkim-rfc4871bis-01.txt

From: Dave CROCKER <[email-masked]>
Date: Fri, 01 Oct 2010 10:11:01 -0700

On 9/27/2010 8:15 PM, John R. Levine wrote:
> In the informative note at the end of sec 3.1, suggest untangling the last two
> sentences to :
>
> For this reason signers SHOULD NOT reuse selectors with new keys, and
> SHOULD assign a new selector to each new signing key.

In other words, you want the Informative note to become Normative.

Does the additional normative language make the protocol work better or add a 
protocol feature?  I tend to expect one of those benefits from normative text.

We need to be careful to limit the use of normative language to assertions that 
really make the protocol work.  Does this really rise to that level?

d/
-- 

   Dave Crocker
   Brandenburg InternetWorking
   bbiw.net
_______________________________________________
NOTE WELL: This list operates according to 
http://mipassoc.org/dkim/ietf-list-rules.html

---

From: "John R. Levine" <[email-masked]>
Date: 2 Oct 2010 12:46:14 -0400

> protocol feature?  I tend to expect one of those benefits from normative 

I think it makes the protocol work better, by removing a possible failure 
mode in which the signature is good, but the validation key changed 
between the time a message was signed and it was checked.  Although it 
would be rather dimwitted to do so, a signer with a severe fear of replay 
could keep the same selector and change the keys under it, or maybe rotate 
between two selectors with new keys each time.

R's,
John